Bug 1283921 - libmaxminddb: Missing bounds checking and verification of data type causes segfault [epel-all]
Summary: libmaxminddb: Missing bounds checking and verification of data type causes se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libmaxminddb
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Včelák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1283919
TreeView+ depends on / blocked
 
Reported: 2015-11-20 09:45 UTC by Adam Mariš
Modified: 2016-04-15 05:57 UTC (History)
1 user (show)

Fixed In Version: libmaxminddb-1.2.0-1.fc24 libmaxminddb-1.2.0-1.fc22 libmaxminddb-1.2.0-1.fc23 libmaxminddb-1.2.0-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-07 12:07:56 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-11-20 09:45:08 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2015-11-20 09:45:13 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1283919,1283921

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1283919,1283921

Comment 2 Fedora Update System 2016-03-21 12:22:03 UTC
libmaxminddb-1.1.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae59bbd4fe

Comment 3 Fedora Update System 2016-03-21 12:22:12 UTC
libmaxminddb-1.1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9ebe9b7ce

Comment 4 Fedora Update System 2016-03-21 12:22:18 UTC
libmaxminddb-1.1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-342074cdb3

Comment 5 Fedora Update System 2016-03-21 12:22:24 UTC
libmaxminddb-1.1.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-665c11ed92

Comment 6 Fedora Update System 2016-03-21 22:31:24 UTC
libmaxminddb-1.1.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae59bbd4fe

Comment 7 Fedora Update System 2016-03-22 00:26:34 UTC
libmaxminddb-1.1.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-342074cdb3

Comment 8 Fedora Update System 2016-03-22 01:26:44 UTC
libmaxminddb-1.1.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-665c11ed92

Comment 9 Fedora Update System 2016-03-22 15:23:03 UTC
libmaxminddb-1.1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9ebe9b7ce

Comment 10 Fedora Update System 2016-03-27 11:51:36 UTC
libmaxminddb-1.2.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b05672c54f

Comment 11 Fedora Update System 2016-03-27 11:51:49 UTC
libmaxminddb-1.2.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d33f969b7

Comment 12 Fedora Update System 2016-03-27 11:51:57 UTC
libmaxminddb-1.2.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c14cf5e34a

Comment 13 Fedora Update System 2016-03-27 11:52:06 UTC
libmaxminddb-1.2.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-41437a502e

Comment 14 Fedora Update System 2016-03-27 21:20:56 UTC
libmaxminddb-1.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-41437a502e

Comment 15 Fedora Update System 2016-03-27 21:48:04 UTC
libmaxminddb-1.2.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c14cf5e34a

Comment 16 Fedora Update System 2016-03-27 21:50:00 UTC
libmaxminddb-1.2.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b05672c54f

Comment 17 Fedora Update System 2016-03-27 21:50:06 UTC
libmaxminddb-1.2.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d33f969b7

Comment 18 Fedora Update System 2016-04-07 12:07:51 UTC
libmaxminddb-1.2.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-04-07 15:49:05 UTC
libmaxminddb-1.2.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-04-07 15:52:42 UTC
libmaxminddb-1.2.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-04-15 05:57:48 UTC
libmaxminddb-1.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.